# DaprProtos.RegisterActorReminderRequestOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.RegisterActorReminderRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.RegisterActorReminderRequest`, `DaprProtos.RegisterActorReminderRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.RegisterActorReminderRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getActorId()` `string actor_id = 2;`
`com.google.protobuf.ByteString` `getActorIdBytes()` `string actor_id = 2;`
`String` `getActorType()` `string actor_type = 1;`
`com.google.protobuf.ByteString` `getActorTypeBytes()` `string actor_type = 1;`
`com.google.protobuf.ByteString` `getData()` `bytes data = 6;`
`String` `getDueTime()` `string due_time = 4;`
`com.google.protobuf.ByteString` `getDueTimeBytes()` `string due_time = 4;`
`String` `getName()` `string name = 3;`
`com.google.protobuf.ByteString` `getNameBytes()` `string name = 3;`
`String` `getPeriod()` `string period = 5;`
`com.google.protobuf.ByteString` `getPeriodBytes()` `string period = 5;`
`String` `getTtl()` `string ttl = 7;`
`com.google.protobuf.ByteString` `getTtlBytes()` `string ttl = 7;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getActorType

    String getActorType()

`string actor_type = 1;`

Returns:
  The actorType.

#### getActorTypeBytes

    com.google.protobuf.ByteString getActorTypeBytes()

`string actor_type = 1;`

Returns:
  The bytes for actorType.

#### getActorId

    String getActorId()

`string actor_id = 2;`

Returns:
  The actorId.

#### getActorIdBytes

    com.google.protobuf.ByteString getActorIdBytes()

`string actor_id = 2;`

Returns:
  The bytes for actorId.

#### getName

    String getName()

`string name = 3;`

Returns:
  The name.

#### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

`string name = 3;`

Returns:
  The bytes for name.

#### getDueTime

    String getDueTime()

`string due_time = 4;`

Returns:
  The dueTime.

#### getDueTimeBytes

    com.google.protobuf.ByteString getDueTimeBytes()

`string due_time = 4;`

Returns:
  The bytes for dueTime.

#### getPeriod

    String getPeriod()

`string period = 5;`

Returns:
  The period.

#### getPeriodBytes

    com.google.protobuf.ByteString getPeriodBytes()

`string period = 5;`

Returns:
  The bytes for period.

#### getData

    com.google.protobuf.ByteString getData()

`bytes data = 6;`

Returns:
  The data.

#### getTtl

    String getTtl()

`string ttl = 7;`

Returns:
  The ttl.

#### getTtlBytes

    com.google.protobuf.ByteString getTtlBytes()

`string ttl = 7;`

Returns:
  The bytes for ttl.